Browse Source

Upgrade Fluentd Monasca plugin

Switch to YAJI JSON parser as suggested in [1].

[1] https://docs.fluentd.org/quickstart/faq#i-got-encoding-error-inside-plugin-how-to-fix-it

Closes-Bug: #1889065
Change-Id: I2ecd3b029b956e000feaaa9e10a169521ba53d66
changes/03/743203/1
Doug Szumski 1 year ago
parent
commit
556d4353aa
  1. 2
      docker/fluentd/Dockerfile.j2
  2. 5
      releasenotes/notes/upgrade-fluentd-monasca-output-plugin-739caf0af953d533.yaml

2
docker/fluentd/Dockerfile.j2

@ -104,7 +104,7 @@ RUN ln -s /bin/mkdir /usr/bin/mkdir
{% block fluentd_monasca_plugin_install %}
# Build and install Fluentd output plugin for Monasca API
ARG monasca_output_plugin_tag=1.0.0
ARG monasca_output_plugin_tag=1.0.1
ARG monasca_output_plugin_url=https://github.com/monasca/fluentd-monasca/archive/$monasca_output_plugin_tag.tar.gz
RUN curl -sSL $monasca_output_plugin_url -o /tmp/fluentd-monasca.tar.gz \

5
releasenotes/notes/upgrade-fluentd-monasca-output-plugin-739caf0af953d533.yaml

@ -0,0 +1,5 @@
---
fixes:
- |
Fixes an issue which can block the Monasca Fluentd output plugin.
`LP#1889065 <https://launchpad.net/bugs/1889065>`__
Loading…
Cancel
Save